import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:mohem_flutter_app/classes/colors.dart';

class NoDataUI extends StatelessWidget {
  NoDataUI({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      padding: const EdgeInsets.only(top: 100),
      child: Column(
        children: [
          SvgPicture.asset("assets/icons/no_data.svg", width: 75, height: 75),
          const SizedBox(height: 8),
          Text(
            "لا توجد بيانات",
            style: TextStyle(fontSize: 16, color: MyColors.darkTextColor.withOpacity(0.7), fontWeight: FontWeight.w600),
          ),
          const SizedBox(height: 16),
        ],
      ),
    );
  }
}
